import { ReactNode } from 'react';
import { Shop, Cart, Client as ClientType } from './utils/types';
declare type CommerceProps = {
    children?: ReactNode;
    config: CommerceConfig;
};
declare type CommerceConfig = {
    token: string;
    domain: string;
    currencyCode?: string;
    locale?: string;
    sessionToken?: string;
};
declare type CommerceContextValue = {
    client: ClientType;
    shop: Shop;
    checkout: Cart;
    updateCheckout: (cart: Cart | undefined) => void;
    currencyCode: string;
    locale: string;
    sessionToken: string;
};
export declare function CommerceProvider({ children, config }: CommerceProps): JSX.Element;
export declare function useCommerce<T extends CommerceContextValue>(): T;
export {};
